## grinder 0.4.4

=== debian/changelog ===
grinder (0.4.4-2) unstable; urgency=low

  * Team upload.

  [ Florent Angly ]
  * Added copyright information for files in inc/.

 -- Charles Plessy <plessy@debian.org>  Sun, 29 Jan 2012 15:15:08 +0900

grinder (0.4.4-1) REJECTED; urgency=low

  * Initial Release. Closes: #654394

 -- Florent Angly <florent.angly@gmail.com>  Fri, 20 Jan 2012 11:41:11 +1000
