=== debian/control ===
Source: grinder
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Florent Angly <florent.angly@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: libbio-perl-perl,
 libgetopt-euclid-perl (>= 0.2.8),
 libmath-random-mt-perl (>= 1.13),
 help2man
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/biogrinder/
Vcs-Git: git://git.debian.org/debian-med/grinder.git
Vcs-Browser: http://git.debian.org/?p=debian-med/grinder.git

Package: grinder
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 libbio-perl-perl,
 libgetopt-euclid-perl (>= 0.2.8),
 libmath-random-mt-perl (>= 1.13)
Description: Versatile omics shotgun and amplicon sequencing read simulator
 Grinder is a versatile program to create random shotgun and amplicon sequence
 libraries based on DNA, RNA or proteic reference sequences provided in a
 FASTA file.
 .
 Grinder can produce genomic, metagenomic, transcriptomic, metatranscriptomic,
 proteomic, metaproteomic shotgun and amplicon datasets from current
 sequencing technologies such as Sanger, 454, Illumina. These simulated
 datasets can be used to test the accuracy of bioinformatic tools under
 specific hypothesis, e.g. with or without sequencing errors, or with low or
 high community diversity. Grinder may also be used to help decide between
 alternative sequencing methods for a sequence-based project, e.g. should the
 library be paired-end or not, how many reads should be sequenced.
