## grinder 0.4.5

=== debian/changelog ===
grinder (0.4.5-1) unstable; urgency=low

  * New upstream version
  * debian/upstream: Added citations
  * debian/control: Standards-Version: 3.9.3 (no changes needed)
  * debian/copyright: Use `cme fix dpkg-copyright` to fix
    Format URL

 -- Andreas Tille <tille@debian.org>  Thu, 03 May 2012 08:30:08 +0200
