=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Florent Angly <florent.angly@gmail.com>
+Uploaders: Florent Angly <florent.angly@gmail.com>,
+ Andreas Tille <tille@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8)
 Build-Depends-Indep: libbio-perl-perl,
  libgetopt-euclid-perl (>= 0.2.8),
  libmath-random-mt-perl (>= 1.13),
  help2man
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://sourceforge.net/projects/biogrinder/
 Vcs-Git: git://git.debian.org/debian-med/grinder.git
 Vcs-Browser: http://git.debian.org/?p=debian-med/grinder.git
