## grinder 0.5.3

=== debian/changelog ===
grinder (0.5.3-3) unstable; urgency=low

  * debian/rules:
     - Move more duplicates from libbio-perl-perl out of the way
       Closes: #722650
       Remark: It seems libbio-perl-perl is integrating actively code
       from grinder and includes it into their distribution.  Finally
       now are all modules from the Bio directory integrated into
       BioPerl.
     - Obtain version from changelog instead of setting it manually
       (which is in danger to age without noticing)
  * debian/control: anonscm in Vcs fields

 -- Andreas Tille <tille@debian.org>  Fri, 13 Sep 2013 08:25:06 +0200

grinder (0.5.3-2) unstable; urgency=low

  * debian/rules:
     - clean target should recreate original tarball
     - Move some files duplicated from bioperl out of the way in
       configure step and restore them in clean target
       Closes: #718407

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2013 11:05:04 +0200

grinder (0.5.3-1) unstable; urgency=low

  * New upstream version
  * debian/control:
     - cme fix dpkg-control
     - debhelper 9

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jul 2013 12:54:05 +0200
