## grinder 0.5.4

=== debian/changelog ===
grinder (0.5.4-5) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Fix Perl interpreter

 -- Andreas Tille <tille@debian.org>  Wed, 02 Jan 2019 15:44:52 +0100

grinder (0.5.4-4) unstable; urgency=medium

  * debian/rules: set PERL5LIB for `helpman … grinder' call.
    Otherwise grinder(1) doesn't find Grinder.pm, and this error is written in
    the contents of the created manpage.
    (LP: #1174006)

 -- gregor herrmann <gregoa@debian.org>  Thu, 14 Dec 2017 20:32:09 +0100

grinder (0.5.4-3) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Fix OMICS entry

  [ gregor herrmann ]
  * Add patch to add back '.' to @INC in some places. (Closes: #871727)
  * Replace debian/tests/control with a Testsuite header in
    debian/control.
  * Use HTTPS for a couple of URLs in debian/control and debian/copyright.
    Thanks to duck.
  * Declare compliance with Debian Policy 4.1.2.

 -- gregor herrmann <gregoa@debian.org>  Wed, 13 Dec 2017 18:12:36 +0100

grinder (0.5.4-2) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * debian/uptream/metadata: Added references to OMICtools and RRID

  [ Nadiya Sitdykova ]
  * add creation of _disposal directory so the package could be rebuild
  * add autopkgtest test-suite

  [ Andreas Tille ]
  * cme fix dpkg-control
  * debhelper 10
  * dp not explicitly parse debian/changelog

 -- Nadiya Sitdykova <rovensaksa@gmail.com>  Mon, 21 Aug 2017 17:34:12 -0400

grinder (0.5.4-1) unstable; urgency=medium

  * New upstream version (parts of BioPerl are not part of Grinder any more)
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sun, 24 Jan 2016 10:14:56 +0100
