=== debian/watch ===
version=3
http://sf.net/biogrinder/Grinder-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
